package it.sw.pa.comune.artegna.domain;

import java.util.Random;
import java.util.UUID;
import java.util.concurrent.atomic.AtomicLong;

public class MessaggioTestSamples {

    private static final Random random = new Random();
    private static final AtomicLong longCount = new AtomicLong(random.nextInt() + (2L * Integer.MAX_VALUE));

    public static Messaggio getMessaggioSample1() {
        return new Messaggio().id(1L).testo("testo1");
    }

    public static Messaggio getMessaggioSample2() {
        return new Messaggio().id(2L).testo("testo2");
    }

    public static Messaggio getMessaggioRandomSampleGenerator() {
        return new Messaggio().id(longCount.incrementAndGet()).testo(UUID.randomUUID().toString());
    }
}
